package com.dxhy.extend.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.ExtTdxRecordInvoice;
import com.dxhy.extend.model.EnterpriseInfoModel;
import com.dxhy.extend.model.RiskSupplierVO;
import com.dxhy.extend.model.ViolationLogModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Gy Chen
 * @date 2020/12/3
 */
@Mapper
public interface ViolationLogDao extends BaseMapper<ViolationLogModel> {
    List<ViolationLogModel> selectViolation(@Param("company") String company, @Param("xfName") String xfName);

    List<ViolationLogModel> selectRiskSupplierInfo(Map<String, Object> pramsMap);

    List<RiskSupplierVO> selectRiskSupplier(Map<String, Object> pramsMap);

    List<ExtTdxRecordInvoice> selectRiskInvoice(Map<String, Object> pramsMap);

    RiskSupplierVO selectRiskSupplierCount(Map<String, Object> pramsMap);

    ExtTdxRecordInvoice selectRiskInvoiceCount(Map<String, Object> pramsMap);

    List<EnterpriseInfoModel> selectEnterpriseInfo(Map<String, Object> pramsMap);

}
